Opened 7 years ago

Closed 7 years ago

#609 closed defect (worksforme)

Unfriendly log messages

Reported by: DISABLED Owned by: killyourtv
Priority: trivial Milestone: 0.8.13
Component: package/ubuntu Version:
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

Just upgraded ip2 to ver 0.8.13 through the ppa:i2p-maintainers/i2p and noticed some log warnings. Just wanted to record them here in case they where indicative of any future problems.

I2P version: 0.8.13-0-deb1
Java version: Oracle Corporation 1.7.0_147-icedtea (OpenJDK Runtime Environment 1.7.0_147-icedtea-b147)
Wrapper version: 3.5.13
Server version: 5.1.15
Platform: Linux i386 3.0.0-16-generic-pae
Processor: Core (Yonah) (pentiumm)
Jbigi: Locally optimized native BigInteger? library loaded from file
Encoding: UTF-8
Charset: UTF-8

File location: /var/log/i2p/log-router-0.txt

 * 2/28/12 12:42:16 AM WARN [Addressbook ] .naming.BlockfileNamingService: The hosts database was not closed cleanly or is still open by another process

File location: /var/log/i2p/wrapper.log

2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/mailapi.jar to classpath for i2pbote
2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/bcprov-ecc-jdk16-146.jar to classpath for i2pbote
2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2012/02/26 18:54:38 | Feb 26, 2012 6:54:38 PM org.mortbay.util.Container start
2012/02/26 18:54:38 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@17cb4ff
2012/02/26 18:54:39 | Warning - New context not replacing old one, you now have a second one
2012/02/26 18:54:39 | java.lang.Exception: I did it
2012/02/26 18:54:39 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/26 18:54:39 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/26 18:54:39 | 	at i2p.bote.I2PBote.<init>(I2PBote.java:142)
2012/02/26 18:54:39 | 	at i2p.bote.I2PBote.getInstance(I2PBote.java:356)
2012/02/26 18:54:39 | 	at i2p.bote.web.ServiceInitializer.contextInitialized(ServiceInitializer.java:40)
2012/02/26 18:54:39 | 	at org.mortbay.jetty.servlet.WebApplicationContext.doStart(WebApplicationContext.java:495)
2012/02/26 18:54:39 | 	at org.mortbay.util.Container.start(Container.java:72)
2012/02/26 18:54:39 | 	at net.i2p.router.web.WebAppStarter.startWebApp(WebAppStarter.java:56)
2012/02/26 18:54:39 | 	at net.i2p.router.web.PluginStarter.startPlugin(PluginStarter.java:146)
2012/02/26 18:54:39 | 	at net.i2p.router.web.PluginStarter.startPlugins(PluginStarter.java:77)
2012/02/26 18:54:39 | 	at net.i2p.router.web.PluginStarter.run(PluginStarter.java:64)
2012/02/26 18:54:39 | 	at java.lang.Thread.run(Thread.java:722)
2012/02/26 18:54:39 | 	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2012/02/26 18:54:40 | Feb 26, 2012 6:54:40 PM org.mortbay.util.Container start
2012/02/26 18:54:40 | INFO: Started WebApplicationContext[/i2pbote,i2pbote]
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.http.HttpServer doStart
2012/02/26 18:54:50 | INFO: Version Jetty/5.1.15
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.util.Container start
2012/02/26 18:54:50 | INFO: Started org.mortbay.jetty.servlet.ServletHandler@1214223
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.util.Container start
2012/02/26 18:54:50 | INFO: Started ServletHttpContext[/cgi-bin,/cgi-bin]
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.util.Container start
2012/02/26 18:54:50 | INFO: Started HttpContext[/,/]
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.http.SocketListener start
2012/02/26 18:54:50 | INFO: Started SocketListener on 127.0.0.1:7658
2012/02/26 18:54:50 | Feb 26, 2012 6:54:50 PM org.mortbay.util.Container start
2012/02/26 18:54:50 | INFO: Started org.mortbay.jetty.Server@c7a89f
2012/02/27 14:55:01 | Warning - New context not replacing old one, you now have a second one
2012/02/27 14:55:01 | java.lang.Exception: I did it
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.ECDH_ECDSA.<init>(ECDH_ECDSA.java:116)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.ECDH256_ECDSA256.<init>(ECDH256_ECDSA256.java:44)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.init(CryptoFactory.java:54)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.getInstances(CryptoFactory.java:45)
2012/02/27 14:55:01 | 	at i2p.bote.email.EmailIdentity.<init>(EmailIdentity.java:68)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.parse(Identities.java:153)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.readIdentities(Identities.java:122)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.initializeIfNeeded(Identities.java:77)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.getAll(Identities.java:337)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
2012/02/27 14:55:01 | 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
2012/02/27 14:55:01 | 	at java.lang.reflect.Method.invoke(Method.java:601)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ArraySuffix.evaluate(ArraySuffix.java:314)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ComplexValue.evaluate(ComplexValue.java:145)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:263)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:190)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate(PageContextImpl.java:899)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_c_set_1(identities_jsp.java:212)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_ib_requirePassword_0(identities_jsp.java:179)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspService(identities_jsp.java:97)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
2012/02/27 14:55:01 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:830)
2012/02/27 14:55:01 | 	at i2p.bote.web.CharsetFilter.doFilter(CharsetFilter.java:38)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:821)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:471)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
2012/02/27 14:55:01 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
2012/02/27 14:55:01 | Warning - New context not replacing old one, you now have a second one
2012/02/27 14:55:01 | java.lang.Exception: I did it
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.ECDH_ECDSA.<init>(ECDH_ECDSA.java:116)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.ECDH521_ECDSA521.<init>(ECDH521_ECDSA521.java:49)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.init(CryptoFactory.java:55)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.getInstances(CryptoFactory.java:45)
2012/02/27 14:55:01 | 	at i2p.bote.email.EmailIdentity.<init>(EmailIdentity.java:68)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.parse(Identities.java:153)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.readIdentities(Identities.java:122)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.initializeIfNeeded(Identities.java:77)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.getAll(Identities.java:337)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
2012/02/27 14:55:01 | 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
2012/02/27 14:55:01 | 	at java.lang.reflect.Method.invoke(Method.java:601)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ArraySuffix.evaluate(ArraySuffix.java:314)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ComplexValue.evaluate(ComplexValue.java:145)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:263)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:190)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate(PageContextImpl.java:899)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_c_set_1(identities_jsp.java:212)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_ib_requirePassword_0(identities_jsp.java:179)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspService(identities_jsp.java:97)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
2012/02/27 14:55:01 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:830)
2012/02/27 14:55:01 | 	at i2p.bote.web.CharsetFilter.doFilter(CharsetFilter.java:38)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:821)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:471)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
2012/02/27 14:55:01 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
2012/02/27 14:55:01 | Warning - New context not replacing old one, you now have a second one
2012/02/27 14:55:01 | java.lang.Exception: I did it
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/27 14:55:01 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.NTRUEncrypt1087_GMSS512.<init>(NTRUEncrypt1087_GMSS512.java:109)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.init(CryptoFactory.java:61)
2012/02/27 14:55:01 | 	at i2p.bote.crypto.CryptoFactory.getInstances(CryptoFactory.java:45)
2012/02/27 14:55:01 | 	at i2p.bote.email.EmailIdentity.<init>(EmailIdentity.java:68)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.parse(Identities.java:153)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.readIdentities(Identities.java:122)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.initializeIfNeeded(Identities.java:77)
2012/02/27 14:55:01 | 	at i2p.bote.email.Identities.getAll(Identities.java:337)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2012/02/27 14:55:01 | 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
2012/02/27 14:55:01 | 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
2012/02/27 14:55:01 | 	at java.lang.reflect.Method.invoke(Method.java:601)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ArraySuffix.evaluate(ArraySuffix.java:314)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ComplexValue.evaluate(ComplexValue.java:145)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:263)
2012/02/27 14:55:01 | 	at org.apache.commons.el.ExpressionEvaluatorImpl.evaluate(ExpressionEvaluatorImpl.java:190)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate(PageContextImpl.java:899)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_c_set_1(identities_jsp.java:212)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspx_meth_ib_requirePassword_0(identities_jsp.java:179)
2012/02/27 14:55:01 | 	at i2p.bote.jsp.identities_jsp._jspService(identities_jsp.java:97)
2012/02/27 14:55:01 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
2012/02/27 14:55:01 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:830)
2012/02/27 14:55:01 | 	at i2p.bote.web.CharsetFilter.doFilter(CharsetFilter.java:38)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler$CachedChain.doFilter(WebApplicationHandler.java:821)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:471)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
2012/02/27 14:55:01 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
2012/02/27 14:55:01 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
2012/02/27 14:55:01 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
2012/02/27 14:55:01 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
2012/02/28 00:41:45 | TERM trapped.  Shutting down.
2012/02/28 00:41:49 | <-- Wrapper Stopped
2012/02/28 00:42:00 | --> Wrapper Started as Daemon
2012/02/28 00:42:00 | Java Service Wrapper Community Edition 32-bit 3.5.13
2012/02/28 00:42:00 |   Copyright (C) 1999-2011 Tanuki Software, Ltd. All Rights Reserved.
2012/02/28 00:42:00 |     http://wrapper.tanukisoftware.com
2012/02/28 00:42:00 | 
2012/02/28 00:42:00 | Launching a JVM...
2012/02/28 00:42:04 | WrapperManager: Initializing...
2012/02/28 00:42:07 | Starting I2P 0.8.13-0-deb1
2012/02/28 00:42:08 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2012/02/28 00:42:08 | INFO: Locally optimized native BigInteger library loaded from file
2012/02/28 00:42:09 | Feb 28, 2012 12:42:09 AM org.mortbay.http.HttpServer doStart
2012/02/28 00:42:09 | INFO: Version Jetty/5.1.15
2012/02/28 00:42:10 | Feb 28, 2012 12:42:09 AM org.mortbay.util.FileResource <clinit>
2012/02/28 00:42:10 | INFO: Checking Resource aliases
2012/02/28 00:42:10 | Adding /usr/share/i2p/lib/i2psnark.jar to classpath for i2psnark
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@1ac5790
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started WebApplicationContext[/i2psnark,/i2psnark]
2012/02/28 00:42:10 | Adding /usr/share/i2p/lib/jstl.jar to classpath for susidns
2012/02/28 00:42:10 | Adding /usr/share/i2p/lib/standard.jar to classpath for susidns
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@6d8660
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started WebApplicationContext[/susidns,susidns]
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@ecb7a4
2012/02/28 00:42:10 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:10 | INFO: Started WebApplicationContext[/i2ptunnel,/i2ptunnel]
2012/02/28 00:42:11 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@7079b2
2012/02/28 00:42:11 | INFO: Starting Addressbook 2.0.4
2012/02/28 00:42:11 | Feb 28, 2012 12:42:10 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started WebApplicationContext[/addressbook,/addressbook]
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@d0cc34
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started WebApplicationContext[/susimail,susimail]
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started net.i2p.router.web.LocaleWebAppHandler@4809be
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started WebApplicationContext[/,/]
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.http.SocketListener start
2012/02/28 00:42:11 | INFO: Started SocketListener on 0:0:0:0:0:0:0:1:7657
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.http.SocketListener start
2012/02/28 00:42:11 | INFO: Started SocketListener on 127.0.0.1:7657
2012/02/28 00:42:11 | Feb 28, 2012 12:42:11 AM org.mortbay.util.Container start
2012/02/28 00:42:11 | INFO: Started org.mortbay.jetty.Server@1a76f84
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.http.HttpServer doStart
2012/02/28 00:42:39 | INFO: Version Jetty/5.1.15
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.util.Container start
2012/02/28 00:42:39 | INFO: Started org.mortbay.jetty.servlet.ServletHandler@10d328
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.util.Container start
2012/02/28 00:42:39 | INFO: Started ServletHttpContext[/cgi-bin,/cgi-bin]
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.util.Container start
2012/02/28 00:42:39 | INFO: Started HttpContext[/,/]
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.http.SocketListener start
2012/02/28 00:42:39 | INFO: Started SocketListener on 127.0.0.1:7658
2012/02/28 00:42:39 | Feb 28, 2012 12:42:39 AM org.mortbay.util.Container start
2012/02/28 00:42:39 | INFO: Started org.mortbay.jetty.Server@8ba25
2012/02/28 00:45:26 | Adding /usr/share/i2p/lib/jstl.jar to classpath for i2pbote
2012/02/28 00:45:26 | Adding /usr/share/i2p/lib/standard.jar to classpath for i2pbote
2012/02/28 00:45:26 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/i2pbote.jar to classpath for i2pbote
2012/02/28 00:45:26 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/mailapi.jar to classpath for i2pbote
2012/02/28 00:45:26 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/bcprov-ecc-jdk16-146.jar to classpath for i2pbote
2012/02/28 00:45:26 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2012/02/28 00:45:26 | Feb 28, 2012 12:45:26 AM org.mortbay.util.Container start
2012/02/28 00:45:26 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@d379e8
2012/02/28 00:45:26 | Warning - New context not replacing old one, you now have a second one
2012/02/28 00:45:26 | java.lang.Exception: I did it
2012/02/28 00:45:26 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/28 00:45:26 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/28 00:45:26 | 	at i2p.bote.I2PBote.<init>(I2PBote.java:142)
2012/02/28 00:45:26 | 	at i2p.bote.I2PBote.getInstance(I2PBote.java:356)
2012/02/28 00:45:26 | 	at i2p.bote.web.ServiceInitializer.contextInitialized(ServiceInitializer.java:40)
2012/02/28 00:45:26 | 	at org.mortbay.jetty.servlet.WebApplicationContext.doStart(WebApplicationContext.java:495)
2012/02/28 00:45:26 | 	at org.mortbay.util.Container.start(Container.java:72)
2012/02/28 00:45:26 | 	at net.i2p.router.web.WebAppStarter.startWebApp(WebAppStarter.java:56)
2012/02/28 00:45:26 | 	at net.i2p.router.web.PluginStarter.startPlugin(PluginStarter.java:287)
2012/02/28 00:45:26 | 	at net.i2p.router.web.PluginStarter.startPlugins(PluginStarter.java:178)
2012/02/28 00:45:26 | 	at net.i2p.router.web.PluginStarter.run(PluginStarter.java:72)
2012/02/28 00:45:26 | 	at java.lang.Thread.run(Thread.java:722)
2012/02/28 00:45:26 | 	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2012/02/28 00:45:26 | Feb 28, 2012 12:45:26 AM org.mortbay.util.Container start
2012/02/28 00:45:26 | INFO: Started WebApplicationContext[/i2pbote,i2pbote]

Subtickets

Change History (1)

comment:1 in reply to:  description Changed 7 years ago by killyourtv

Resolution: worksforme
Status: newclosed

Thanks for the report. :)

Replying to guest:

Just upgraded ip2 to ver 0.8.13 through the ppa:i2p-maintainers/i2p and noticed some log warnings. Just wanted to record them here in case they where indicative of any future problems.

I2P version: 0.8.13-0-deb1
Java version: Oracle Corporation 1.7.0_147-icedtea (OpenJDK Runtime Environment 1.7.0_147-icedtea-b147)
Wrapper version: 3.5.13
Server version: 5.1.15
Platform: Linux i386 3.0.0-16-generic-pae
Processor: Core (Yonah) (pentiumm)
Jbigi: Locally optimized native BigInteger? library loaded from file
Encoding: UTF-8
Charset: UTF-8

File location: /var/log/i2p/log-router-0.txt

 * 2/28/12 12:42:16 AM WARN [Addressbook ] .naming.BlockfileNamingService: The hosts database was not closed cleanly or is still open by another process

This was fixed in 0.8.13. See http://www.i2p2.i2p/release-0.8.13 "- Shutdown hooks will now run when router is shutdown externally (i2prouter stop), broken in 0.8.8 ".


2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/mailapi.jar to classpath for i2pbote
2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/bcprov-ecc-jdk16-146.jar to classpath for i2pbote
2012/02/26 18:54:37 | Adding /var/lib/i2p/i2p-config/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2012/02/26 18:54:38 | Feb 26, 2012 6:54:38 PM org.mortbay.util.Container start
2012/02/26 18:54:38 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@17cb4ff
2012/02/26 18:54:39 | Warning - New context not replacing old one, you now have a second one
2012/02/26 18:54:39 | java.lang.Exception: I did it
2012/02/26 18:54:39 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:196)
2012/02/26 18:54:39 | 	at net.i2p.I2PAppContext.<init>(I2PAppContext.java:165)
2012/02/26 18:54:39 | 	at i2p.bote.I2PBote.<init>(I2PBote.java:142)
2012/02/26 18:54:39 | 	at i2p.bote.I2PBote.getInstance(I2PBote.java:356)
2012/02/26 18:54:39 | 	at i2p.bote.web.ServiceInitializer.contextInitialized(ServiceInitializer.java:40)
2012/02/26 18:54:39 | 	at org.mortbay.jetty.servlet.WebApplicationContext.doStart(WebApplicationContext.java:495)
2012/02/26 18:54:39 | 	at org.mortbay.util.Container.start(Container.java:72)
2012/02/26 18:54:39 | 	at net.i2p.router.web.WebAppStarter.startWebApp(WebAppStarter.java:56)
2012/02/26 18:54:39 | 	at 

}}}

This is all from i2p-bote and was fixed by hh in #512 (which hasn't been released yet).

Closing as "worksforme" since the first thing reported was a problem in < 0.8.13 (so it's fixed) and the second is from i2p-bote and has been fixed in mtn.

Note: See TracTickets for help on using tickets.